Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604526 - spacewalk.nightly cannot be installed and started, Syntax error on line 8 of /etc/httpd/conf.d/cobbler.conf
spacewalk.nightly cannot be installed and started, Syntax error on line 8 of ...
Status: CLOSED UPSTREAM
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.1
All Linux
high Severity medium
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
: Regression
Depends On: 605273
Blocks: space11
  Show dependency treegraph
 
Reported: 2010-06-16 03:34 EDT by Petr Sklenar
Modified: 2012-03-06 04:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 07:59:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2010-06-16 03:34:36 EDT
Description of problem:
I cannot start spacewalk server

Version-Release number of selected component (if applicable):
spacewalk-backend-1.1.21-1.el5
rhn-schema-version = 1.1.2-1.el5
* todays nightbuild

How reproducible:
always

Steps to Reproduce:
1. install today's nightbuild
2. 
  
Actual results:
Starting spacewalk services...
Initializing jabberd processes ...
Starting router: [  OK  ]
Starting sm: [  OK  ]
Starting c2s: [  OK  ]
Starting s2s: [  OK  ]
Starting Oracle Net Listener.
Starting Oracle Database 10g Express Edition Instance.

[  OK  ] osa-dispatcher: [  OK  ]
Starting tomcat5:                                          [  OK  ]
Starting httpd: Syntax error on line 8 of /etc/httpd/conf.d/cobbler.conf:
Invalid command 'WSGIScriptAliasMatch', perhaps misspelled or defined by a module not included in the server configuration
[FAILED]
Starting Monitoring ...  
[ OK ]
Starting MonitoringScout ...  
[ OK ]
Starting rhn-search...
Starting cobbler daemon: SERVING!
[  OK  ]
Starting RHN Taskomatic...
Done.


[root@sgi-xe270-01 ~]# head /etc/httpd/conf.d/cobbler.conf
# This configuration file allows cobbler data
# to be accessed over HTTP.

AliasMatch ^/cblr(?!/svc/)(.*)?$ "/var/www/cobbler$1"
AliasMatch ^/cobbler_track(.*)?$ "/var/www/cobbler$1"
AliasMatch ^/cobbler(.*)?$ "/var/www/cobbler$1"

WSGIScriptAliasMatch ^/cblr/svc/([^/]*) /var/www/cobbler/svc/services.py

<Directory "/var/www/cobbler">



Expected results:


Additional info:

0
[root@sgi-xe270-01 ~]# rhn-satellite status
router (pid 4868) is running...
sm (pid 4901) is running...
c2s (pid 4935) is running...
s2s (pid 4967) is running...

LSNRCTL for Linux: Version 10.2.0.1.0 - Production on 16-JUN-2010 03:33:18

Copyright (c) 1991, 2005, Oracle.  All rights reserved.

Connecting to (DESCRIPTION=(ADDRESS=(PROTOCOL=IPC)(KEY=EXTPROC_FOR_XE)))
STATUS of the LISTENER
------------------------
Alias                     LISTENER
Version                   TNSLSNR for Linux: Version 10.2.0.1.0 - Production
Start Date                16-JUN-2010 03:27:40
Uptime                    0 days 0 hr. 5 min. 37 sec
Trace Level               off
Security                  ON: Local OS Authentication
SNMP                      OFF
Default Service           XE
Listener Parameter File   /usr/lib/oracle/xe/app/oracle/product/10.2.0/server/network/admin/listener.ora
Listener Log File         /usr/lib/oracle/xe/app/oracle/product/10.2.0/server/network/log/listener.log
Listening Endpoints Summary...
  (DESCRIPTION=(ADDRESS=(PROTOCOL=ipc)(KEY=EXTPROC_FOR_XE)))
  (DESCRIPTION=(ADDRESS=(PROTOCOL=tcp)(HOST=sgi-xe270-01.rhts.bos.redhat.com)(PORT=1521)))
  (DESCRIPTION=(ADDRESS=(PROTOCOL=tcp)(HOST=127.0.0.1)(PORT=9055))(Presentation=HTTP)(Session=RAW))
Services Summary...
Service "PLSExtProc" has 1 instance(s).
  Instance "PLSExtProc", status UNKNOWN, has 1 handler(s) for this service...
Service "XE" has 1 instance(s).
  Instance "XE", status READY, has 1 handler(s) for this service...
Service "XEXDB" has 1 instance(s).
  Instance "XE", status READY, has 1 handler(s) for this service...
Service "XE_XPT" has 1 instance(s).
  Instance "XE", status READY, has 1 handler(s) for this service...
The command completed successfully
osa-dispatcher (pid  5056) is running...
/etc/init.d/tomcat5 is already running (6667)
httpd is stopped
rhn-search is running (5672).
cobblerd (pid 5725) is running...
RHN Taskomatic is running (6897).
[root@sgi-xe270-01 ~]# echo $?
3
Comment 1 Michael Mráka 2010-06-17 10:45:28 EDT
Should be fixed in upstream (cobbler). Filed bug 605273.
Comment 2 Michael Mráka 2010-07-19 07:59:20 EDT
Has been fixed in cobbler-2.0.3.1-3.el5.noarch.

Note You need to log in before you can comment on or make changes to this bug.